echo off

rem check syntax
if XX%1==XX goto usage
if %1==S goto small
if %1==s goto small
if %1==C goto compact
if %1==c goto compact
if %1==M goto medium
if %1==m goto medium
if %1==L goto large
if %1==l goto large
echo ************
echo SYNTAX ERROR
echo ************
:usage
echo Program to build applications and application library for c-tree Netbios Server
echo *****:
echo usage: MAKEAPP {S or C or M or L}
echo *****:
echo where S=small, C=compact, M=medium, L=large
echo The libary and object files are created in
echo directory nAPP (eg. SAPP for small model).
echo The lib file is named CTALIB.LIB
goto done
:small
if not exist SAPP\*.* md SAPP
make RUNT=SLIBCE D=SAPP CM=/AS AM=SMALL makeapp.mak
goto done
:compact
if not exist CAPP\*.* md CAPP
make RUNT=CLIBCE D=CAPP CM=/AC AM=COMPACT makeapp.mak
goto done
:medium
if not exist MAPP\*.* md MAPP
make RUNT=MLIBCE D=MAPP CM=/AM AM=MEDIUM makeapp.mak
goto done
:large
if not exist LAPP\*.* md LAPP
make RUNT=LLIBCE D=LAPP CM=/AL AM=LARGE makeapp.mak
goto done
:done
