echo off
rem -------------------------------------
rem script to build server for ctree
rem MAKESRV { S, M or C} where
rem letter is model size.  The server
rem is named ctsrvr.exe and is in
rem directory { SSRV, MSRV or CSRV}
rem -------------------------------------

rem check syntax
if XX%1==XX goto usage
if %1==S goto small
if %1==s goto small
if %1==M goto medium
if %1==m goto medium
if %1==C goto compact
if %1==c goto compact
echo ************
echo SYNTAX ERROR
echo ************
:usage
echo Program to build server for c-tree under Netbios
echo *****:
echo usage: MAKESRV {S or C}
echo *****:
echo where S=small & C=compact
echo The server (CTSRVR.EXE) is created in
echo directory nSRV (eg. SSRV for small model).
goto done
:small
if not exist SSRV\*.* md SSRV
make RUNT=SLIBCE D=SSRV CM=/AS AM=SMALL makesrv.mak
goto done
:medium
if not exist MSRV\*.* md MSRV
make RUNT=MLIBCE D=MSRV CM=/AM makesrv.mak
goto done
:compact
if not exist CSRV\*.* md CSRV
make RUNT=CLIBCE D=CSRV CM=/AC AM=COMPACT CP=/CP:1 makesrv.mak
goto done
:done
